summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Rettberg2020-02-09 11:12:10 +0100
committerSimon Rettberg2020-02-09 11:12:10 +0100
commit33ccd1fe644f86c1e3b40c5e0554f615e064d693 (patch)
tree70efd934f52fcdc85ca7ef10f4f8e33b2dc9778f
parent[SPUS] debian10: remove CipherString in openssl.cnf (diff)
downloadsetup-scripts-33ccd1fe644f86c1e3b40c5e0554f615e064d693.tar.gz
setup-scripts-33ccd1fe644f86c1e3b40c5e0554f615e064d693.tar.xz
setup-scripts-33ccd1fe644f86c1e3b40c5e0554f615e064d693.zip
[SSUS] Make chown on stage4 non-fatal
Worst case we need a reboot, after which the mount-store script will take care of everything.
-rw-r--r--satellit_upgrader/updater.template.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/satellit_upgrader/updater.template.sh b/satellit_upgrader/updater.template.sh
index 5c734c2..f71846d 100644
--- a/satellit_upgrader/updater.template.sh
+++ b/satellit_upgrader/updater.template.sh
@@ -713,12 +713,10 @@ fi
# taskmanager will make sure the stage4 folder is properly created on the share. We need to cope
# with the use of internal store and since we cannot differentiate that case from an unmounted
# network share, we simply always create it and check the group ownership & permissions.
-if [ ! -d "${PATH_SLXSTORE}/stage4" ]; then
- if ! mkdir -p "${PATH_SLXSTORE}/stage4"; then
- perror "Could not create 'stage4' directory in ${PATH_SLXSTORE}! Storage not writable!"
- fi
+if ! mkdir -p "${PATH_SLXSTORE}/stage4"; then
+ pwarning "Could not create 'stage4' directory in ${PATH_SLXSTORE}! Storage not writable!"
fi
-find "${PATH_SLXSTORE}/stage4" -type d -exec chgrp dnbd3 {} \; 2>/dev/null
+find "${PATH_SLXSTORE}/stage4" -type d -exec chown dnbd3:dnbd3 {} \; 2>/dev/null
find "${PATH_SLXSTORE}/stage4" -type d -exec chmod ug+rwx {} \; 2>/dev/null
# ******************* dnbd3-server.service ***************